Skip to main content
GET
/
v1
/
process
/
getWorkflowRuns
curl --location 'https://api.sarasfinance.com/v1/process/getWorkflowRuns?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&processId=ef341826-1cab-4680-aa52-efd001f9da00' \
--header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "id": "run_017b2c9a",
      "workflowId": "wf_b2a7590d",
      "processId": "ef341826-1cab-4680-aa52-efd001f9da00",
      "state": "COMPLETED",
      "createdTs": "2026-04-16T12:00:00Z"
    }
  ]
}

Query Parameters

subProjectId
string
required
The unique identifier for the sub-project.
stageKey
string
Filter runs by stage key.
processId
string
Filter runs by process ID.
workflowId
string
Filter runs by workflow ID.
runId
string
Retrieve a specific workflow run by ID.

Response

runs
object[]
curl --location 'https://api.sarasfinance.com/v1/process/getWorkflowRuns?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&processId=ef341826-1cab-4680-aa52-efd001f9da00' \
--header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "id": "run_017b2c9a",
      "workflowId": "wf_b2a7590d",
      "processId": "ef341826-1cab-4680-aa52-efd001f9da00",
      "state": "COMPLETED",
      "createdTs": "2026-04-16T12:00:00Z"
    }
  ]
}

Error Codes

CodeIDDescription
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST1200Metadata missing in request
ERROR_SUBPROCESS_META_NOT_FOUND1202Sub-project metadata not found
ERROR_NOT_ALLOWED_TO_GET1205User unauthorized to view data